import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
export declare class BbAutosize implements AfterViewInit {
    private _renderer;
    private _elementRef;
    minHeight: string | null;
    maxHeight: string | null;
    rows: number;
    constructor(_renderer: Renderer2, _elementRef: ElementRef);
    get element(): HTMLTextAreaElement;
    ngAfterViewInit(): void;
    onWindowResize(): void;
    onInputReceived(): void;
    private updateStyles;
    private setHeight;
}
